<template>
  <div class="lc--custom--btn">
    <v-btn v-if="params.value" class="custom-btn btn-del" @click="btnClickedHandler($event, 'delete')" click.stop><i class="ico"></i>{{ $t('common.delete') }}</v-btn>
    <v-btn v-else class="custom-btn btn-reg" @click="btnClickedHandler($event, 'reg')" click.stop><i class="ico"></i>{{ $t('common.reg') }}</v-btn>
  </div>
  
</template>

<script setup>  
  // props
  const props = defineProps({
    params: Object,
  })

  function btnClickedHandler(event, mode) {
    event.stopPropagation();
    // 콜백함수
    props.params.clicked(props.params, mode)
  }
</script>